Index: include/avr/io90pwm2b.h
===================================================================
RCS file: /sources/avr-libc/avr-libc/include/avr/io90pwm2b.h,v
retrieving revision 1.15
diff -u -r1.15 io90pwm2b.h
--- include/avr/io90pwm2b.h	11 Feb 2009 17:53:34 -0000	1.15
+++ include/avr/io90pwm2b.h	26 Mar 2009 20:10:22 -0000
@@ -1,4 +1,5 @@
 /* Copyright (c) 2007 Atmel Corporation
+   Copyright (c) 2009, Frédéric Nadeau
    All rights reserved.
 
    Redistribution and use in source and binary forms, with or without
@@ -1291,36 +1292,64 @@
 
 /* Interrupt Vectors */
 /* Interrupt vector 0 is the reset vector. */
+#define PSC2_CAPT_num       1
 #define PSC2_CAPT_vect      _VECTOR(1)   /* PSC2 Capture Event */
+#define PSC2_EC_num         2
 #define PSC2_EC_vect        _VECTOR(2)   /* PSC2 End Cycle */
+#define PSC1_CAPT_num       3
 #define PSC1_CAPT_vect      _VECTOR(3)   /* PSC1 Capture Event */
+#define PSC1_EC_num         4
 #define PSC1_EC_vect        _VECTOR(4)   /* PSC1 End Cycle */
+#define PSC0_CAPT_num       5
 #define PSC0_CAPT_vect      _VECTOR(5)   /* PSC0 Capture Event */
+#define PSC0_EC_num         6
 #define PSC0_EC_vect        _VECTOR(6)   /* PSC0 End Cycle */
+#define ANALOG_COMP_0_num   7
 #define ANALOG_COMP_0_vect  _VECTOR(7)   /* Analog Comparator 0 */
+#define ANALOG_COMP_1_num   8
 #define ANALOG_COMP_1_vect  _VECTOR(8)   /* Analog Comparator 1 */
+#define ANALOG_COMP_2_num   9
 #define ANALOG_COMP_2_vect  _VECTOR(9)   /* Analog Comparator 2 */
+#define INT0_num            10
 #define INT0_vect           _VECTOR(10)  /* External Interrupt Request 0 */
+#define TIMER1_CAPT_num     11
 #define TIMER1_CAPT_vect    _VECTOR(11)  /* Timer/Counter1 Capture Event */
+#define TIMER1_COMPA_num    12
 #define TIMER1_COMPA_vect   _VECTOR(12)  /* Timer/Counter1 Compare Match A */
+#define TIMER1_COMPB_num    13
 #define TIMER1_COMPB_vect   _VECTOR(13)  /* Timer/Counter Compare Match B */
 /* Vector 14, Reserved */
+#define TIMER1_OVF_num      15
 #define TIMER1_OVF_vect     _VECTOR(15)  /* Timer/Counter1 Overflow */
+#define TIMER0_COMPA_num    16
 #define TIMER0_COMPA_vect   _VECTOR(16)  /* Timer/Counter0 Compare Match A */
+#define TIMER0_OVF_num      17
 #define TIMER0_OVF_vect     _VECTOR(17)  /* Timer/Counter0 Overflow */
+#define ADC_num             18
 #define ADC_vect            _VECTOR(18)  /* ADC Conversion Complete */
+#define INT1_num            19
 #define INT1_vect           _VECTOR(19)  /* External Interrupt Request 1 */
+#define SPI_STC_num         20
 #define SPI_STC_vect        _VECTOR(20)  /* SPI Serial Transfer Complete */
+#define USART_RX_num        21
 #define USART_RX_vect       _VECTOR(21)  /* USART, Rx Complete */
+#define USART_UDRE_num      22
 #define USART_UDRE_vect     _VECTOR(22)  /* USART Data Register Empty */
+#define USART_TX_num        23
 #define USART_TX_vect       _VECTOR(23)  /* USART, Tx Complete */
+#define INT2_num            24
 #define INT2_vect           _VECTOR(24)  /* External Interrupt Request 2 */
+#define WDT_num             25
 #define WDT_vect            _VECTOR(25)  /* Watchdog Timeout Interrupt */
+#define EE_READY_num        26
 #define EE_READY_vect       _VECTOR(26)  /* EEPROM Ready */
+#define TIMER0_COMPB_num    27
 #define TIMER0_COMPB_vect   _VECTOR(27)  /* Timer Counter 0 Compare Match B */
+#define INT3_num            28
 #define INT3_vect           _VECTOR(28)  /* External Interrupt Request 3 */
 /* Vector 29, Reserved */
 /* Vector 30, Reserved */
+#define SPM_READY_num       31
 #define SPM_READY_vect      _VECTOR(31)  /* Store Program Memory Read */
 
 #define _VECTORS_SIZE 64
@@ -1389,4 +1418,221 @@
 #define SIGNATURE_2 0x83
 
 
+/* Device Pin Definitions */
+#define DDR_MISO  	DDRB
+#define PORT_MISO 	PORTB
+#define PIN_MISO  	PINB
+#define MISO_IDX  	0
+
+#define DDR_PSCOUT20  	DDRB
+#define PORT_PSCOUT20 	PORTB
+#define PIN_PSCOUT20  	PINB
+#define PSCOUT20_IDX  	0
+
+#define DDR_MOSI  	DDRB
+#define PORT_MOSI 	PORTB
+#define PIN_MOSI  	PINB
+#define MOSI_IDX  	1
+
+#define DDR_PSCOUT21  	DDRB
+#define PORT_PSCOUT21 	PORTB
+#define PIN_PSCOUT21  	PINB
+#define PSCOUT21_IDX  	1
+
+#define DDR_ADC5  	DDRB
+#define PORT_ADC5 	PORTB
+#define PIN_ADC5  	PINB
+#define ADC5_IDX  	2
+
+#define DDR_INT1  	DDRB
+#define PORT_INT1 	PORTB
+#define PIN_INT1  	PINB
+#define INT1_IDX  	2
+
+#define DDR_AMP0_N  	DDRB
+#define PORT_AMP0_N 	PORTB
+#define PIN_AMP0_N  	PINB
+#define AMP0_N_IDX  	3
+
+#define DDR_AMP0_P  	DDRB
+#define PORT_AMP0_P 	PORTB
+#define PIN_AMP0_P  	PINB
+#define AMP0_P_IDX  	4
+
+#define DDR_ADC6  	DDRB
+#define PORT_ADC6 	PORTB
+#define PIN_ADC6  	PINB
+#define ADC6_IDX  	5
+
+#define DDR_INT2  	DDRB
+#define PORT_INT2 	PORTB
+#define PIN_INT2  	PINB
+#define INT2_IDX  	5
+
+#define DDR_ADC7  	DDRB
+#define PORT_ADC7 	PORTB
+#define PIN_ADC7  	PINB
+#define ADC7_IDX  	6
+
+#define DDR_PSCOUT11  	DDRB
+#define PORT_PSCOUT11 	PORTB
+#define PIN_PSCOUT11  	PINB
+#define PSCOUT11_IDX  	6
+
+#define DDR_ICP1B  	DDRB
+#define PORT_ICP1B 	PORTB
+#define PIN_ICP1B  	PINB
+#define ICP1B_IDX  	6
+
+#define DDR_ADC4  	DDRB
+#define PORT_ADC4 	PORTB
+#define PIN_ADC4  	PINB
+#define ADC4_IDX  	7
+
+#define DDR_PSCOUT01  	DDRB
+#define PORT_PSCOUT01 	PORTB
+#define PIN_PSCOUT01  	PINB
+#define PSCOUT01_IDX  	7
+
+#define DDR_SCK  	DDRB
+#define PORT_SCK 	PORTB
+#define PIN_SCK  	PINB
+#define SCK_IDX  	7
+
+#define DDR_PSCOUT00  	DDRD
+#define PORT_PSCOUT00 	PORTD
+#define PIN_PSCOUT00  	PIND
+#define PSCOUT00_IDX  	0
+
+#define DDR_XCK  	DDRD
+#define PORT_XCK 	PORTD
+#define PIN_XCK  	PIND
+#define XCK_IDX  	0
+
+#define DDR_SSA  	DDRD
+#define PORT_SSA 	PORTD
+#define PIN_SSA  	PIND
+#define SSA_IDX  	0
+
+#define DDR_PSCIN0  	DDRD
+#define PORT_PSCIN0 	PORTD
+#define PIN_PSCIN0  	PIND
+#define PSCIN0_IDX  	1
+
+#define DDR_CLKO  	DDRD
+#define PORT_CLKO 	PORTD
+#define PIN_CLKO  	PIND
+#define CLKO_IDX  	1
+
+#define DDR_PSCIN2  	DDRD
+#define PORT_PSCIN2 	PORTD
+#define PIN_PSCIN2  	PIND
+#define PSCIN2_IDX  	2
+
+#define DDR_OC1A  	DDRD
+#define PORT_OC1A 	PORTD
+#define PIN_OC1A  	PIND
+#define OC1A_IDX  	2
+
+#define DDR_MISO_A  	DDRD
+#define PORT_MISO_A 	PORTD
+#define PIN_MISO_A  	PIND
+#define MISO_A_IDX  	2
+
+#define DDR_TXD  	DDRD
+#define PORT_TXD 	PORTD
+#define PIN_TXD  	PIND
+#define TXD_IDX  	3
+
+#define DDR_DALI  	DDRD
+#define PORT_DALI 	PORTD
+#define PIN_DALI  	PIND
+#define DALI_IDX  	3
+
+#define DDR_OC0A  	DDRD
+#define PORT_OC0A 	PORTD
+#define PIN_OC0A  	PIND
+#define OC0A_IDX  	3
+
+#define DDR_SS  	DDRD
+#define PORT_SS 	PORTD
+#define PIN_SS  	PIND
+#define SS_IDX  	3
+
+#define DDR_MOSI_A  	DDRD
+#define PORT_MOSI_A 	PORTD
+#define PIN_MOSI_A  	PIND
+#define MOSI_A_IDX  	3
+
+#define DDR_ADC1  	DDRD
+#define PORT_ADC1 	PORTD
+#define PIN_ADC1  	PIND
+#define ADC1_IDX  	4
+
+#define DDR_RXD  	DDRD
+#define PORT_RXD 	PORTD
+#define PIN_RXD  	PIND
+#define RXD_IDX  	4
+
+#define DDR_DALI  	DDRD
+#define PORT_DALI 	PORTD
+#define PIN_DALI  	PIND
+#define DALI_IDX  	4
+
+#define DDR_ICP1  	DDRD
+#define PORT_ICP1 	PORTD
+#define PIN_ICP1  	PIND
+#define ICP1_IDX  	4
+
+#define DDR_SCK_A  	DDRD
+#define PORT_SCK_A 	PORTD
+#define PIN_SCK_A  	PIND
+#define SCK_A_IDX  	4
+
+#define DDR_ADC2  	DDRD
+#define PORT_ADC2 	PORTD
+#define PIN_ADC2  	PIND
+#define ADC2_IDX  	5
+
+#define DDR_ACMP2  	DDRD
+#define PORT_ACMP2 	PORTD
+#define PIN_ACMP2  	PIND
+#define ACMP2_IDX  	5
+
+#define DDR_ADC3  	DDRD
+#define PORT_ADC3 	PORTD
+#define PIN_ADC3  	PIND
+#define ADC3_IDX  	6
+
+#define DDR_ACMPM  	DDRD
+#define PORT_ACMPM 	PORTD
+#define PIN_ACMPM  	PIND
+#define ACMPM_IDX  	6
+
+#define DDR_INT0  	DDRD
+#define PORT_INT0 	PORTD
+#define PIN_INT0  	PIND
+#define INT0_IDX  	6
+
+#define DDR_ACMP0  	DDRD
+#define PORT_ACMP0 	PORTD
+#define PIN_ACMP0  	PIND
+#define ACMP0_IDX  	7
+
+#define DDR_OCD  	DDRE
+#define PORT_OCD 	PORTE
+#define PIN_OCD  	PINE
+#define OCD_IDX  	0
+
+#define DDR_OC0B  	DDRE
+#define PORT_OC0B 	PORTE
+#define PIN_OC0B  	PINE
+#define OC0B_IDX  	1
+
+#define DDR_ADC0  	DDRE
+#define PORT_ADC0 	PORTE
+#define PIN_ADC0  	PINE
+#define ADC0_IDX  	2
+
+
 #endif /* _AVR_IO90PWM2B_H_ */
Index: include/avr/iom323.h
===================================================================
RCS file: /sources/avr-libc/avr-libc/include/avr/iom323.h,v
retrieving revision 1.19
diff -u -r1.19 iom323.h
--- include/avr/iom323.h	11 Feb 2009 17:53:36 -0000	1.19
+++ include/avr/iom323.h	26 Mar 2009 20:10:28 -0000
@@ -1,4 +1,5 @@
 /* Copyright (c) 2002, Marek Michalkiewicz
+   Copyright (c) 2009, Frédéric Nadeau
    All rights reserved.
 
    Redistribution and use in source and binary forms, with or without
@@ -171,82 +172,102 @@
 /* Interrupt vectors */
 
 /* External Interrupt Request 0 */
+#define INT0_num 			1
 #define INT0_vect			_VECTOR(1)
 #define SIG_INTERRUPT0			_VECTOR(1)
 
 /* External Interrupt Request 1 */
+#define INT1_num 			2
 #define INT1_vect			_VECTOR(2)
 #define SIG_INTERRUPT1			_VECTOR(2)
 
 /* External Interrupt Request 2 */
+#define INT2_num 			3
 #define INT2_vect			_VECTOR(3)
 #define SIG_INTERRUPT2			_VECTOR(3)
 
 /* Timer/Counter2 Compare Match */
+#define TIMER2_COMP_num 		4
 #define TIMER2_COMP_vect		_VECTOR(4)
 #define SIG_OUTPUT_COMPARE2		_VECTOR(4)
 
 /* Timer/Counter2 Overflow */
+#define TIMER2_OVF_num 			5
 #define TIMER2_OVF_vect			_VECTOR(5)
 #define SIG_OVERFLOW2			_VECTOR(5)
 
 /* Timer/Counter1 Capture Event */
+#define TIMER1_CAPT_num 		6
 #define TIMER1_CAPT_vect		_VECTOR(6)
 #define SIG_INPUT_CAPTURE1		_VECTOR(6)
 
 /* Timer/Counter1 Compare Match A */
+#define TIMER1_COMPA_num 		7
 #define TIMER1_COMPA_vect		_VECTOR(7)
 #define SIG_OUTPUT_COMPARE1A		_VECTOR(7)
 
 /* Timer/Counter1 Compare Match B */
+#define TIMER1_COMPB_num 		8
 #define TIMER1_COMPB_vect		_VECTOR(8)
 #define SIG_OUTPUT_COMPARE1B		_VECTOR(8)
 
 /* Timer/Counter1 Overflow */
+#define TIMER1_OVF_num 			9
 #define TIMER1_OVF_vect			_VECTOR(9)
 #define SIG_OVERFLOW1			_VECTOR(9)
 
 /* Timer/Counter0 Compare Match */
+#define TIMER0_COMP_num 		10
 #define TIMER0_COMP_vect		_VECTOR(10)
 #define SIG_OUTPUT_COMPARE0		_VECTOR(10)
 
 /* Timer/Counter0 Overflow */
+#define TIMER0_OVF_num 			11
 #define TIMER0_OVF_vect			_VECTOR(11)
 #define SIG_OVERFLOW0			_VECTOR(11)
 
 /* Serial Transfer Complete */
+#define SPI_STC_num 			12
 #define SPI_STC_vect			_VECTOR(12)
 #define SIG_SPI				_VECTOR(12)
 
 /* USART, Rx Complete */
+#define USART_RXC_num 			13
 #define USART_RXC_vect			_VECTOR(13)
 #define SIG_UART_RECV			_VECTOR(13)
 
 /* USART Data Register Empty */
+#define USART_UDRE_num 			14
 #define USART_UDRE_vect			_VECTOR(14)
 #define SIG_UART_DATA			_VECTOR(14)
 
 /* USART, Tx Complete */
+#define USART_TXC_num 			15
 #define USART_TXC_vect			_VECTOR(15)
 #define SIG_UART_TRANS			_VECTOR(15)
 
 /* ADC Conversion Complete */
+#define ADC_num 			16
 #define ADC_vect			_VECTOR(16)
 #define SIG_ADC				_VECTOR(16)
 
 /* EEPROM Ready */
+#define EE_RDY_num 			17
 #define EE_RDY_vect			_VECTOR(17)
 #define SIG_EEPROM_READY		_VECTOR(17)
 
 /* Analog Comparator */
+#define ANA_COMP_num 			18
 #define ANA_COMP_vect			_VECTOR(18)
 #define SIG_COMPARATOR			_VECTOR(18)
 
 /* 2-wire Serial Interface */
+#define TWI_num 			19
 #define TWI_vect			_VECTOR(19)
 #define SIG_2WIRE_SERIAL		_VECTOR(19)
 
 /* Store Program Memory Ready */
+#define SPM_RDY_num 			20
 #define SPM_RDY_vect			_VECTOR(20)
 
 #define _VECTORS_SIZE 80
@@ -685,4 +706,146 @@
 #define SIGNATURE_2 0x01
 
 
+/* Device Pin Definitions */
+#define DDR_ADC0  	DDRA
+#define PORT_ADC0 	PORTA
+#define PIN_ADC0  	PINA
+#define ADC0_IDX  	0
+
+#define DDR_ADC1  	DDRA
+#define PORT_ADC1 	PORTA
+#define PIN_ADC1  	PINA
+#define ADC1_IDX  	1
+
+#define DDR_ADC2  	DDRA
+#define PORT_ADC2 	PORTA
+#define PIN_ADC2  	PINA
+#define ADC2_IDX  	2
+
+#define DDR_ADC3  	DDRA
+#define PORT_ADC3 	PORTA
+#define PIN_ADC3  	PINA
+#define ADC3_IDX  	3
+
+#define DDR_ADC4  	DDRA
+#define PORT_ADC4 	PORTA
+#define PIN_ADC4  	PINA
+#define ADC4_IDX  	4
+
+#define DDR_ADc5  	DDRA
+#define PORT_ADc5 	PORTA
+#define PIN_ADc5  	PINA
+#define ADc5_IDX  	5
+
+#define DDR_ADC6  	DDRA
+#define PORT_ADC6 	PORTA
+#define PIN_ADC6  	PINA
+#define ADC6_IDX  	6
+
+#define DDR_ADC7  	DDRA
+#define PORT_ADC7 	PORTA
+#define PIN_ADC7  	PINA
+#define ADC7_IDX  	7
+
+#define DDR_XCK  	DDRB
+#define PORT_XCK 	PORTB
+#define PIN_XCK  	PINB
+#define XCK_IDX  	0
+
+#define DDR_T0  	DDRB
+#define PORT_T0 	PORTB
+#define PIN_T0  	PINB
+#define T0_IDX  	0
+
+#define DDR_T1  	DDRB
+#define PORT_T1 	PORTB
+#define PIN_T1  	PINB
+#define T1_IDX  	1
+
+#define DDR_AIN0  	DDRB
+#define PORT_AIN0 	PORTB
+#define PIN_AIN0  	PINB
+#define AIN0_IDX  	2
+
+#define DDR_INT2  	DDRB
+#define PORT_INT2 	PORTB
+#define PIN_INT2  	PINB
+#define INT2_IDX  	2
+
+#define DDR_AIN1  	DDRB
+#define PORT_AIN1 	PORTB
+#define PIN_AIN1  	PINB
+#define AIN1_IDX  	3
+
+#define DDR_OC0  	DDRB
+#define PORT_OC0 	PORTB
+#define PIN_OC0  	PINB
+#define OC0_IDX  	3
+
+#define DDR_SS  	DDRB
+#define PORT_SS 	PORTB
+#define PIN_SS  	PINB
+#define SS_IDX  	4
+
+#define DDR_MOSI  	DDRB
+#define PORT_MOSI 	PORTB
+#define PIN_MOSI  	PINB
+#define MOSI_IDX  	5
+
+#define DDR_MISO  	DDRB
+#define PORT_MISO 	PORTB
+#define PIN_MISO  	PINB
+#define MISO_IDX  	6
+
+#define DDR_SCL  	DDRC
+#define PORT_SCL 	PORTC
+#define PIN_SCL  	PINC
+#define SCL_IDX  	0
+
+#define DDR_SDA  	DDRC
+#define PORT_SDA 	PORTC
+#define PIN_SDA  	PINC
+#define SDA_IDX  	1
+
+#define DDR_RXD  	DDRD
+#define PORT_RXD 	PORTD
+#define PIN_RXD  	PIND
+#define RXD_IDX  	0
+
+#define DDR_TXD  	DDRD
+#define PORT_TXD 	PORTD
+#define PIN_TXD  	PIND
+#define TXD_IDX  	1
+
+#define DDR_INT0  	DDRD
+#define PORT_INT0 	PORTD
+#define PIN_INT0  	PIND
+#define INT0_IDX  	2
+
+#define DDR_INT1  	DDRD
+#define PORT_INT1 	PORTD
+#define PIN_INT1  	PIND
+#define INT1_IDX  	3
+
+#define DDR_OC1B  	DDRD
+#define PORT_OC1B 	PORTD
+#define PIN_OC1B  	PIND
+#define OC1B_IDX  	4
+
+#define DDR_OC1A  	DDRD
+#define PORT_OC1A 	PORTD
+#define PIN_OC1A  	PIND
+#define OC1A_IDX  	5
+
+#define DDR_ICP  	DDRD
+#define PORT_ICP 	PORTD
+#define PIN_ICP  	PIND
+#define ICP_IDX  	6
+
+#define DDR_OC2  	DDRD
+#define PORT_OC2 	PORTD
+#define PIN_OC2  	PIND
+#define OC2_IDX  	7
+
+
 #endif /* _AVR_IOM323_H_ */
Index: include/avr/iotn26.h
===================================================================
RCS file: /sources/avr-libc/avr-libc/include/avr/iotn26.h,v
retrieving revision 1.22
diff -u -r1.22 iotn26.h
--- include/avr/iotn26.h	11 Feb 2009 17:53:38 -0000	1.22
+++ include/avr/iotn26.h	26 Mar 2009 20:10:36 -0000
@@ -1,4 +1,5 @@
 /* Copyright (c) 2004,2005 Eric B. Weddington
+   Copyright (c) 2009, Frédéric Nadeau
    All rights reserved.
 
    Redistribution and use in source and binary forms, with or without
@@ -293,47 +294,58 @@
 /* Interrupt vectors */
 /* Interrupt vector 0 is the reset vector. */
 /* External Interrupt 0 */
+#define INT0_num 			1
 #define INT0_vect			_VECTOR(1)
 #define SIG_INTERRUPT0			_VECTOR(1)
 
 /* External Interrupt Request 0 */
+#define IO_PINS_num 			2
 #define IO_PINS_vect			_VECTOR(2)
 #define SIG_PIN_CHANGE			_VECTOR(2)
 
 /* Timer/Counter1 Compare Match 1A */
+#define TIMER1_CMPA_num 		3
 #define TIMER1_CMPA_vect		_VECTOR(3)
 #define SIG_OUTPUT_COMPARE1A		_VECTOR(3)
 
 /* Timer/Counter1 Compare Match 1B */
+#define TIMER1_CMPB_num 		4
 #define TIMER1_CMPB_vect		_VECTOR(4)
 #define SIG_OUTPUT_COMPARE1B		_VECTOR(4)
 
 /* Timer/Counter1 Overflow */
+#define TIMER1_OVF1_num 		5
 #define TIMER1_OVF1_vect		_VECTOR(5)
 #define SIG_OVERFLOW1			_VECTOR(5)
 
 /* Timer/Counter0 Overflow */
+#define TIMER0_OVF0_num 		6
 #define TIMER0_OVF0_vect		_VECTOR(6)
 #define SIG_OVERFLOW0			_VECTOR(6)
 
 /* USI Start */
+#define USI_STRT_num 			7
 #define USI_STRT_vect			_VECTOR(7)
 #define SIG_USI_START			_VECTOR(7)
 
 /* USI Overflow */
+#define USI_OVF_num 			8
 #define USI_OVF_vect			_VECTOR(8)
 #define SIG_USI_OVERFLOW		_VECTOR(8)
 
 /* EEPROM Ready */
+#define EE_RDY_num 			9
 #define EE_RDY_vect			_VECTOR(9)
 #define SIG_EEPROM_READY		_VECTOR(9)
 
 /* Analog Comparator */
+#define ANA_COMP_num 			10
 #define ANA_COMP_vect			_VECTOR(10)
 #define SIG_ANA_COMP			_VECTOR(10)
 #define SIG_COMPARATOR			_VECTOR(10)
 
 /* ADC Conversion Complete */
+#define ADC_num 			11
 #define ADC_vect			_VECTOR(11)
 #define SIG_ADC				_VECTOR(11)
 
@@ -382,4 +394,176 @@
 #define SIGNATURE_2 0x09
 
 
+/* Device Pin Definitions */
+#define DDR_ADC0  	DDRA
+#define PORT_ADC0 	PORTA
+#define PIN_ADC0  	PINA
+#define ADC0_IDX  	0
+
+#define DDR_ADC1  	DDRA
+#define PORT_ADC1 	PORTA
+#define PIN_ADC1  	PINA
+#define ADC1_IDX  	1
+
+#define DDR_ADC2  	DDRA
+#define PORT_ADC2 	PORTA
+#define PIN_ADC2  	PINA
+#define ADC2_IDX  	2
+
+#define DDR_ADC3  	DDRA
+#define PORT_ADC3 	PORTA
+#define PIN_ADC3  	PINA
+#define ADC3_IDX  	4
+
+#define DDR_ADC4  	DDRA
+#define PORT_ADC4 	PORTA
+#define PIN_ADC4  	PINA
+#define ADC4_IDX  	5
+
+#define DDR_ADC5  	DDRA
+#define PORT_ADC5 	PORTA
+#define PIN_ADC5  	PINA
+#define ADC5_IDX  	6
+
+#define DDR_AIN0  	DDRA
+#define PORT_AIN0 	PORTA
+#define PIN_AIN0  	PINA
+#define AIN0_IDX  	6
+
+#define DDR_ADC6  	DDRA
+#define PORT_ADC6 	PORTA
+#define PIN_ADC6  	PINA
+#define ADC6_IDX  	7
+
+#define DDR_AIN1  	DDRA
+#define PORT_AIN1 	PORTA
+#define PIN_AIN1  	PINA
+#define AIN1_IDX  	7
+
+#define DDR_MOSI  	DDRB
+#define PORT_MOSI 	PORTB
+#define PIN_MOSI  	PINB
+#define MOSI_IDX  	0
+
+#define DDR_DI  	DDRB
+#define PORT_DI 	PORTB
+#define PIN_DI  	PINB
+#define DI_IDX  	0
+
+#define DDR_SDA  	DDRB
+#define PORT_SDA 	PORTB
+#define PIN_SDA  	PINB
+#define SDA_IDX  	0
+
+#define DDR_OC1A  	DDRB
+#define PORT_OC1A 	PORTB
+#define PIN_OC1A  	PINB
+#define OC1A_IDX  	0
+
+#define DDR_PCINT0  	DDRB
+#define PORT_PCINT0 	PORTB
+#define PIN_PCINT0  	PINB
+#define PCINT0_IDX  	0
+
+#define DDR_MISO  	DDRB
+#define PORT_MISO 	PORTB
+#define PIN_MISO  	PINB
+#define MISO_IDX  	1
+
+#define DDR_DO  	DDRB
+#define PORT_DO 	PORTB
+#define PIN_DO  	PINB
+#define DO_IDX  	1
+
+#define DDR_OC1A  	DDRB
+#define PORT_OC1A 	PORTB
+#define PIN_OC1A  	PINB
+#define OC1A_IDX  	1
+
+#define DDR_PCINT0  	DDRB
+#define PORT_PCINT0 	PORTB
+#define PIN_PCINT0  	PINB
+#define PCINT0_IDX  	1
+
+#define DDR_SCK  	DDRB
+#define PORT_SCK 	PORTB
+#define PIN_SCK  	PINB
+#define SCK_IDX  	2
+
+#define DDR_SCL  	DDRB
+#define PORT_SCL 	PORTB
+#define PIN_SCL  	PINB
+#define SCL_IDX  	2
+
+#define DDR_OC1B  	DDRB
+#define PORT_OC1B 	PORTB
+#define PIN_OC1B  	PINB
+#define OC1B_IDX  	2
+
+#define DDR_PCINT0  	DDRB
+#define PORT_PCINT0 	PORTB
+#define PIN_PCINT0  	PINB
+#define PCINT0_IDX  	2
+
+#define DDR_OC1B  	DDRB
+#define PORT_OC1B 	PORTB
+#define PIN_OC1B  	PINB
+#define OC1B_IDX  	3
+
+#define DDR_PCINT0  	DDRB
+#define PORT_PCINT0 	PORTB
+#define PIN_PCINT0  	PINB
+#define PCINT0_IDX  	3
+
+#define DDR_ADC7  	DDRB
+#define PORT_ADC7 	PORTB
+#define PIN_ADC7  	PINB
+#define ADC7_IDX  	4
+
+#define DDR_PCINT1  	DDRB
+#define PORT_PCINT1 	PORTB
+#define PIN_PCINT1  	PINB
+#define PCINT1_IDX  	4
+
+#define DDR_ADC8  	DDRB
+#define PORT_ADC8 	PORTB
+#define PIN_ADC8  	PINB
+#define ADC8_IDX  	5
+
+#define DDR_PCINT1  	DDRB
+#define PORT_PCINT1 	PORTB
+#define PIN_PCINT1  	PINB
+#define PCINT1_IDX  	5
+
+#define DDR_ADC9  	DDRB
+#define PORT_ADC9 	PORTB
+#define PIN_ADC9  	PINB
+#define ADC9_IDX  	6
+
+#define DDR_INT0  	DDRB
+#define PORT_INT0 	PORTB
+#define PIN_INT0  	PINB
+#define INT0_IDX  	6
+
+#define DDR_T0  	DDRB
+#define PORT_T0 	PORTB
+#define PIN_T0  	PINB
+#define T0_IDX  	6
+
+#define DDR_PCINT1  	DDRB
+#define PORT_PCINT1 	PORTB
+#define PIN_PCINT1  	PINB
+#define PCINT1_IDX  	6
+
+#define DDR_ADC10  	DDRB
+#define PORT_ADC10 	PORTB
+#define PIN_ADC10  	PINB
+#define ADC10_IDX  	7
+
+#define DDR_PCINT1  	DDRB
+#define PORT_PCINT1 	PORTB
+#define PIN_PCINT1  	PINB
+#define PCINT1_IDX  	7
+
+
 #endif  /* _AVR_IOTN26_H_ */
Index: include/avr/io90pwm216.h
===================================================================
RCS file: /sources/avr-libc/avr-libc/include/avr/io90pwm216.h,v
retrieving revision 1.14
diff -u -r1.14 io90pwm216.h
--- include/avr/io90pwm216.h	11 Feb 2009 17:53:34 -0000	1.14
+++ include/avr/io90pwm216.h	26 Mar 2009 20:10:22 -0000
@@ -1,4 +1,5 @@
 /* Copyright (c) 2007, Atmel Corporation
+   Copyright (c) 2009, Frédéric Nadeau
    All rights reserved.
 
    Redistribution and use in source and binary forms, with or without
@@ -1033,87 +1034,115 @@
 /* Interrupt 0 is the reset vector. */
 
 /* PSC2 Capture Event */
+#define PSC2_CAPT_num      1
 #define PSC2_CAPT_vect     _VECTOR(1)
 
 /* PSC2 End Cycle */
+#define PSC2_EC_num        2
 #define PSC2_EC_vect       _VECTOR(2)
 
 /* PSC1 Capture Event */
+#define PSC1_CAPT_num      3
 #define PSC1_CAPT_vect     _VECTOR(3)
 
 /* PSC1 End Cycle */
+#define PSC1_EC_num        4
 #define PSC1_EC_vect       _VECTOR(4)
 
 /* PSC0 Capture Event */
+#define PSC0_CAPT_num      5
 #define PSC0_CAPT_vect     _VECTOR(5)
 
 /* PSC0 End Cycle */
+#define PSC0_EC_num        6
 #define PSC0_EC_vect       _VECTOR(6)
 
 /* Analog Comparator 0 */
+#define ANALOG_COMP_0_num  7
 #define ANALOG_COMP_0_vect _VECTOR(7)
 
 /* Analog Comparator 1 */
+#define ANALOG_COMP_1_num  8
 #define ANALOG_COMP_1_vect _VECTOR(8)
 
 /* Analog Comparator 2 */
+#define ANALOG_COMP_2_num  9
 #define ANALOG_COMP_2_vect _VECTOR(9)
 
 /* External Interrupt Request 0 */
+#define INT0_num           10
 #define INT0_vect          _VECTOR(10)
 
 /* Timer/Counter1 Capture Event */
+#define TIMER1_CAPT_num    11
 #define TIMER1_CAPT_vect   _VECTOR(11)
 
 /* Timer/Counter1 Compare Match A */
+#define TIMER1_COMPA_num   12
 #define TIMER1_COMPA_vect  _VECTOR(12)
 
 /* Timer/Counter Compare Match B */
+#define TIMER1_COMPB_num   13
 #define TIMER1_COMPB_vect  _VECTOR(13)
 
 /* Timer/Counter1 Overflow */
+#define TIMER1_OVF_num     15
 #define TIMER1_OVF_vect    _VECTOR(15)
 
 /* Timer/Counter0 Compare Match A */
+#define TIMER0_COMP_A_num  16
 #define TIMER0_COMP_A_vect _VECTOR(16)
 
 /* Timer/Counter0 Overflow */
+#define TIMER0_OVF_num     17
 #define TIMER0_OVF_vect    _VECTOR(17)
 
 /* ADC Conversion Complete */
+#define ADC_num            18
 #define ADC_vect           _VECTOR(18)
 
 /* External Interrupt Request 1 */
+#define INT1_num           19
 #define INT1_vect          _VECTOR(19)
 
 /* SPI Serial Transfer Complete */
+#define SPI_STC_num        20
 #define SPI_STC_vect       _VECTOR(20)
 
 /* USART, Rx Complete */
+#define USART_RX_num       21
 #define USART_RX_vect      _VECTOR(21)
 
 /* USART Data Register Empty */
+#define USART_UDRE_num     22
 #define USART_UDRE_vect    _VECTOR(22)
 
 /* USART, Tx Complete */
+#define USART_TX_num       23
 #define USART_TX_vect      _VECTOR(23)
 
 /* External Interrupt Request 2 */
+#define INT2_num           24
 #define INT2_vect          _VECTOR(24)
 
 /* Watchdog Timeout Interrupt */
+#define WDT_num            25
 #define WDT_vect           _VECTOR(25)
 
 /* EEPROM Ready */
+#define EE_READY_num       26
 #define EE_READY_vect      _VECTOR(26)
 
 /* Timer Counter 0 Compare Match B */
+#define TIMER0_COMPB_num   27
 #define TIMER0_COMPB_vect  _VECTOR(27)
 
 /* External Interrupt Request 3 */
+#define INT3_num           28
 #define INT3_vect          _VECTOR(28)
 
 /* Store Program Memory Read */
+#define SPM_READY_num      31
 #define SPM_READY_vect     _VECTOR(31)
 
 #define _VECTORS_SIZE   (4 * 32)
@@ -1178,4 +1207,221 @@
 #define SIGNATURE_2 0x83
 
 
+/* Device Pin Definitions */
+#define DDR_MISO  	DDRB
+#define PORT_MISO 	PORTB
+#define PIN_MISO  	PINB
+#define MISO_IDX  	0
+
+#define DDR_PSCOUT20  	DDRB
+#define PORT_PSCOUT20 	PORTB
+#define PIN_PSCOUT20  	PINB
+#define PSCOUT20_IDX  	0
+
+#define DDR_MOSI  	DDRB
+#define PORT_MOSI 	PORTB
+#define PIN_MOSI  	PINB
+#define MOSI_IDX  	1
+
+#define DDR_PSCOUT21  	DDRB
+#define PORT_PSCOUT21 	PORTB
+#define PIN_PSCOUT21  	PINB
+#define PSCOUT21_IDX  	1
+
+#define DDR_ADC5  	DDRB
+#define PORT_ADC5 	PORTB
+#define PIN_ADC5  	PINB
+#define ADC5_IDX  	2
+
+#define DDR_INT1  	DDRB
+#define PORT_INT1 	PORTB
+#define PIN_INT1  	PINB
+#define INT1_IDX  	2
+
+#define DDR_AMP0_N  	DDRB
+#define PORT_AMP0_N 	PORTB
+#define PIN_AMP0_N  	PINB
+#define AMP0_N_IDX  	3
+
+#define DDR_AMP0_P  	DDRB
+#define PORT_AMP0_P 	PORTB
+#define PIN_AMP0_P  	PINB
+#define AMP0_P_IDX  	4
+
+#define DDR_ADC6  	DDRB
+#define PORT_ADC6 	PORTB
+#define PIN_ADC6  	PINB
+#define ADC6_IDX  	5
+
+#define DDR_INT2  	DDRB
+#define PORT_INT2 	PORTB
+#define PIN_INT2  	PINB
+#define INT2_IDX  	5
+
+#define DDR_ADC7  	DDRB
+#define PORT_ADC7 	PORTB
+#define PIN_ADC7  	PINB
+#define ADC7_IDX  	6
+
+#define DDR_PSCOUT11  	DDRB
+#define PORT_PSCOUT11 	PORTB
+#define PIN_PSCOUT11  	PINB
+#define PSCOUT11_IDX  	6
+
+#define DDR_ICP1B  	DDRB
+#define PORT_ICP1B 	PORTB
+#define PIN_ICP1B  	PINB
+#define ICP1B_IDX  	6
+
+#define DDR_ADC4  	DDRB
+#define PORT_ADC4 	PORTB
+#define PIN_ADC4  	PINB
+#define ADC4_IDX  	7
+
+#define DDR_PSCOUT01  	DDRB
+#define PORT_PSCOUT01 	PORTB
+#define PIN_PSCOUT01  	PINB
+#define PSCOUT01_IDX  	7
+
+#define DDR_SCK  	DDRB
+#define PORT_SCK 	PORTB
+#define PIN_SCK  	PINB
+#define SCK_IDX  	7
+
+#define DDR_PSCOUT00  	DDRD
+#define PORT_PSCOUT00 	PORTD
+#define PIN_PSCOUT00  	PIND
+#define PSCOUT00_IDX  	0
+
+#define DDR_XCK  	DDRD
+#define PORT_XCK 	PORTD
+#define PIN_XCK  	PIND
+#define XCK_IDX  	0
+
+#define DDR_SSA  	DDRD
+#define PORT_SSA 	PORTD
+#define PIN_SSA  	PIND
+#define SSA_IDX  	0
+
+#define DDR_PSCIN0  	DDRD
+#define PORT_PSCIN0 	PORTD
+#define PIN_PSCIN0  	PIND
+#define PSCIN0_IDX  	1
+
+#define DDR_CLKO  	DDRD
+#define PORT_CLKO 	PORTD
+#define PIN_CLKO  	PIND
+#define CLKO_IDX  	1
+
+#define DDR_PSCIN2  	DDRD
+#define PORT_PSCIN2 	PORTD
+#define PIN_PSCIN2  	PIND
+#define PSCIN2_IDX  	2
+
+#define DDR_OC1A  	DDRD
+#define PORT_OC1A 	PORTD
+#define PIN_OC1A  	PIND
+#define OC1A_IDX  	2
+
+#define DDR_MISO_A  	DDRD
+#define PORT_MISO_A 	PORTD
+#define PIN_MISO_A  	PIND
+#define MISO_A_IDX  	2
+
+#define DDR_TXD  	DDRD
+#define PORT_TXD 	PORTD
+#define PIN_TXD  	PIND
+#define TXD_IDX  	3
+
+#define DDR_DALI  	DDRD
+#define PORT_DALI 	PORTD
+#define PIN_DALI  	PIND
+#define DALI_IDX  	3
+
+#define DDR_OC0A  	DDRD
+#define PORT_OC0A 	PORTD
+#define PIN_OC0A  	PIND
+#define OC0A_IDX  	3
+
+#define DDR_SS  	DDRD
+#define PORT_SS 	PORTD
+#define PIN_SS  	PIND
+#define SS_IDX  	3
+
+#define DDR_MOSI_A  	DDRD
+#define PORT_MOSI_A 	PORTD
+#define PIN_MOSI_A  	PIND
+#define MOSI_A_IDX  	3
+
+#define DDR_ADC1  	DDRD
+#define PORT_ADC1 	PORTD
+#define PIN_ADC1  	PIND
+#define ADC1_IDX  	4
+
+#define DDR_RXD  	DDRD
+#define PORT_RXD 	PORTD
+#define PIN_RXD  	PIND
+#define RXD_IDX  	4
+
+#define DDR_DALI  	DDRD
+#define PORT_DALI 	PORTD
+#define PIN_DALI  	PIND
+#define DALI_IDX  	4
+
+#define DDR_ICP1  	DDRD
+#define PORT_ICP1 	PORTD
+#define PIN_ICP1  	PIND
+#define ICP1_IDX  	4
+
+#define DDR_SCK_A  	DDRD
+#define PORT_SCK_A 	PORTD
+#define PIN_SCK_A  	PIND
+#define SCK_A_IDX  	4
+
+#define DDR_ADC2  	DDRD
+#define PORT_ADC2 	PORTD
+#define PIN_ADC2  	PIND
+#define ADC2_IDX  	5
+
+#define DDR_ACMP2  	DDRD
+#define PORT_ACMP2 	PORTD
+#define PIN_ACMP2  	PIND
+#define ACMP2_IDX  	5
+
+#define DDR_ADC3  	DDRD
+#define PORT_ADC3 	PORTD
+#define PIN_ADC3  	PIND
+#define ADC3_IDX  	6
+
+#define DDR_ACMPM  	DDRD
+#define PORT_ACMPM 	PORTD
+#define PIN_ACMPM  	PIND
+#define ACMPM_IDX  	6
+
+#define DDR_INT0  	DDRD
+#define PORT_INT0 	PORTD
+#define PIN_INT0  	PIND
+#define INT0_IDX  	6
+
+#define DDR_ACMP0  	DDRD
+#define PORT_ACMP0 	PORTD
+#define PIN_ACMP0  	PIND
+#define ACMP0_IDX  	7
+
+#define DDR_OCD  	DDRE
+#define PORT_OCD 	PORTE
+#define PIN_OCD  	PINE
+#define OCD_IDX  	0
+
+#define DDR_OC0B  	DDRE
+#define PORT_OC0B 	PORTE
+#define PIN_OC0B  	PINE
+#define OC0B_IDX  	1
+
+#define DDR_ADC0  	DDRE
+#define PORT_ADC0 	PORTE
+#define PIN_ADC0  	PINE
+#define ADC0_IDX  	2
+
+
 #endif /* _AVR_IO90PWM216_H_ */
Index: include/avr/io2323.h
===================================================================
RCS file: /sources/avr-libc/avr-libc/include/avr/io2323.h,v
retrieving revision 1.13
diff -u -r1.13 io2323.h
--- include/avr/io2323.h	11 Feb 2009 17:53:34 -0000	1.13
+++ include/avr/io2323.h	26 Mar 2009 20:10:20 -0000
@@ -1,4 +1,5 @@
 /* Copyright (c) 2002, Marek Michalkiewicz
+   Copyright (c) 2009, Frédéric Nadeau
    All rights reserved.
 
    Redistribution and use in source and binary forms, with or without
@@ -102,10 +103,12 @@
 /* Interrupt vectors */
 
 /* External Interrupt 0 */
+#define INT0_num 			1
 #define INT0_vect			_VECTOR(1)
 #define SIG_INTERRUPT0			_VECTOR(1)
 
 /* Timer/Counter0 Overflow */
+#define TIMER0_OVF0_num 		2
 #define TIMER0_OVF0_vect		_VECTOR(2)
 #define SIG_OVERFLOW0			_VECTOR(2)
 
@@ -195,6 +198,33 @@
 #define SIGNATURE_2 0x02
 
 
+/* Device Pin Definitions */
+#define DDR_MOSI  	DDRB
+#define PORT_MOSI 	PORTB
+#define PIN_MOSI  	PINB
+#define MOSI_IDX  	0
+
+#define DDR_MISO  	DDRB
+#define PORT_MISO 	PORTB
+#define PIN_MISO  	PINB
+#define MISO_IDX  	1
+
+#define DDR_INT0  	DDRB
+#define PORT_INT0 	PORTB
+#define PIN_INT0  	PINB
+#define INT0_IDX  	1
+
+#define DDR_SCK  	DDRB
+#define PORT_SCK 	PORTB
+#define PIN_SCK  	PINB
+#define SCK_IDX  	2
+
+#define DDR_T0  	DDRB
+#define PORT_T0 	PORTB
+#define PIN_T0  	PINB
+#define T0_IDX  	2
+
+
 #endif  /* _AVR_IO2323_H_ */
 
 /* Signature */
